Bug 55268

Summary: daemon.sh only waits for 10 seconds
Product: Tomcat 6 Reporter: js102
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 6.0.37   
Target Milestone: default   
Hardware: PC   
OS: Linux   

Description js102 2013-07-15 15:38:58 UTC
I'm trying to use daemon.sh to start tomcat, but it passes a wait value of 10 seconds to jsvc.  Tomcat does still start up ok, but the shell script's return code is 1, which is causing my puppet script to fail.

It would be useful if this could be parameterised so that I can choose a time suitable for my webapps.
Comment 1 Christopher Schultz 2013-07-16 17:36:30 UTC
It appears that while catalina.sh mostly uses environment variables to adjust behavior, daemon.sh uses command-line arguments. Would you prefer an environment variable or a command-line parameter?
Comment 2 js102 2013-07-16 19:18:19 UTC
I think a command line parameter would be more visible in diagnostics and more straightforward to add to puppet manifests, so that would be my preference.
Comment 3 Christopher Schultz 2013-07-16 19:56:49 UTC
Fixed in trunk (r1503851) and Tomcat 7.0.x (r1503852). Will be in Tomcat 7.0.43.

Proposed for Tomcat 6.
Comment 4 Christopher Schultz 2013-07-16 21:38:10 UTC
Re-opening due to proposal for Tomcat 6.
Comment 5 Mark Thomas 2013-07-18 14:18:26 UTC
Update version
Comment 6 Mark Thomas 2013-12-20 09:27:11 UTC
This has been fixed in 6.0.x. and will be included in 6.0.38 onwards.